LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | List of all members
SetUpdate Service Referencepublished

provides write access to a dynamic homogeneous set of values or nested trees within a hierarchy. More...

`import"SetUpdate.idl";`

Inheritance diagram for SetUpdate:

## Included Services
service | SetAccess
| is the basic service providing read access to a set within the hierarchy. More...
service | SimpleSetUpdate
| is the basic service providing modifying access to a not necessarily hierarchical set. More...
Included Services inherited from SetAccess
service | HierarchyAccess
| is the basic service for accessing child and descendent nodes in a hierarchy. More...
service | SimpleSetAccess
| is the basic service providing information about and access to elements of a not necessarily hierarchical set. More...
Included Services inherited from SimpleSetUpdate
service | SimpleSetAccess
| is the basic service providing read access to a (not necessarily hierarchical) set. More...

## Additional Inherited Members
Exported Interfaces inherited from SetAccess
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...
Exported Interfaces inherited from HierarchyAccess
interface | com::sun::star::container::XNameAccess
| allows access to immediate children of this node. More...
interface | com::sun::star::container::XHierarchicalNameAccess
| allows access to all descendants of this node More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to immediate child nodes. More...
interface | com::sun::star::beans::XExactName
| provides support for inexact names. More...
interface | com::sun::star::beans::XPropertySetInfo
| provides information about immediate children of this node. More...
interface | com::sun::star::beans::XPropertyState
| provides access to the state of child elements of an implementation. More...
interface | com::sun::star::beans::XMultiPropertyStates
| provides access to the states of multiple child elements of an implementation. More...
Exported Interfaces inherited from SimpleSetAccess
interface | com::sun::star::container::XNameAccess
| is the basic service for accessing child and descendent nodes. More...
interface | com::sun::star::configuration::XTemplateContainer
| provides additional information about the element type. More...
interface | com::sun::star::util::XStringEscape
| allows normalizing and denormalizing external names. More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...
Exported Interfaces inherited from SimpleSetUpdate
interface | com::sun::star::container::XNameContainer
| allows inserting, removing, and replacing elements. More...
interface | com::sun::star::lang::XSingleServiceFactory
| allows creating an object that can be inserted into this set. More...
interface | com::sun::star::lang::XMultiServiceFactory
| allows creating various objects that can be inserted into this set. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XExactName
string | getExactName ([in] string aApproximateName)
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Protected Member Functions inherited from XPropertySetInfo
sequence< com::sun::star::beans::Property > | getProperties ()
com::sun::star::beans::Property | getPropertyByName ([in] string aName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByName ([in] string Name)
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XTemplateContainer
string | getElementTemplateName ()
| retrieves the name of the template More...
Protected Member Functions inherited from XStringEscape
string | escapeString ([in] string aString) raises ( com::sun::star::lang::IllegalArgumentException)
| encodes an arbitrary string into an escaped form compatible with some naming rules. More...
string | unescapeString ([in] string aEscapedString) raises ( com::sun::star::lang::IllegalArgumentException)
| decodes an escaped string into the original form. More...
Protected Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments. More...
Protected Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...

## Detailed Description

provides write access to a dynamic homogeneous set of values or nested trees within a hierarchy.

Allows adding and removing elements. Helps creates new elements to be added.

This service extends SetAccess to support modifying the container.

Any child and descendant objects support modifying access as well, unless they represent a read-only tree element (as indicated by com::sun::star::beans::PropertyAttribute::READONLY).

## Exported Interfaces

## ◆ SetAccess

service SetAccess

is the basic service providing read access to a set within the hierarchy.

## ◆ SimpleSetUpdate

service SimpleSetUpdate

is the basic service providing modifying access to a not necessarily hierarchical set.

Changes can be observed by registering a listener with interface com::sun::star::container::XContainer.

If the elements of this set are of object type, new elements are constructed to match the tree structure prescribed by the element template of this set, when using interfaces com::sun::star::lang::XSingleServiceFactory and (if supported) com::sun::star::lang::XMultiServiceFactory.

Objects that are removed from a set can be reinserted into any set supporting the same template within the same hierarchy. Even under a different name.

Implementations that support insertion of objects that weren't obtained from within the hierarchy must reject elements that don't have the correct structure as described by the template, even if the object returns the correct template name from XTemplateInstance::getTemplateName().

Other ways in which an element may be moved among or within compatible sets include com::sun::star::container::XChild::setParent() and com::sun::star::container::XNamed::setName(), if the element implements them.

See also
  com::sun::star::configuration::SetElement

The documentation for this service was generated from the following file:

- com/sun/star/configuration/SetUpdate.idl